Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1829 closed defect

LEON3_UART_Regs_Map struct incomplete

Reported by: Helder Silva Owned by: Daniel Hellstrom
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: jiri@…, daniel@… Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

Missing int field scalar in LEON3_UART_Regs_Map struct.

typedef struct
{

volatile unsigned int data;
volatile unsigned int status;
volatile unsigned int ctrl;
volatile unsigned int scaler;

} LEON3_UART_Regs_Map;

Change History (7)

comment:1 Changed on 07/07/11 at 15:50:51 by Joel Sherrill

Cc: Jiri Gaisler added

comment:2 Changed on 07/08/11 at 05:49:58 by Daniel Hellstrom

Cc: Daniel Hellstrom added

comment:3 Changed on 07/20/11 at 14:40:27 by Joel Sherrill

Until this is complete and tested with set attribute support, let's hold off.

comment:4 Changed on 11/21/14 at 18:35:36 by Joel Sherrill

Description: modified (diff)

Pinging this issue. Is it fixed now? Can we close it?

comment:5 Changed on 11/23/14 at 17:38:20 by Joel Sherrill

Owner: changed from Joel Sherrill to Daniel Hellstrom
Status: newassigned

comment:6 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:7 Changed on 12/02/14 at 13:17:23 by Daniel Hellstrom

Resolution: fixed
Status: assignedclosed

This is not a problem anymore.

Note: See TracTickets for help on using tickets.